Subject: bug#18114: closed (Re: bug#18114: Installation images have inconsistent filenames with what's documented in the manual)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Jul 2014 21:26:03 +0000

Your bug report

#18114: Installation images have inconsistent filenames with what's documented in the manual

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18114: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18114
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18114: Installation images have inconsistent filenames with what's documented in the manual
From: [email-masked] (Ludovic Courtès)
To: Peter Bex <[email-masked]>
Cc: [email-masked]
Date: Sat, 26 Jul 2014 23:25:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Peter Bex <[email-masked]> skribis:

> It turns out the filenames lack the -linux suffix as mentioned in the
> manual.  davexunit on IRC mentioned that the manual is probably good, so
> the files on FTP should be changed by someone with the required access.

Oops, indeed.  I’ve just created symlinks on the FTP server.

Thanks for the report,
Ludo’.

Subject: Installation images have inconsistent filenames with what's documented in the manual
From: Peter Bex <[email-masked]>
To: [email-masked]
Date: Sat, 26 Jul 2014 17:07:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello all,

The Guix manual installation section at
http://www.gnu.org/software/guix/manual/html_node/System-Installation.html
says the following:

-------------------------------------------------------------------------------
An installation image for USB sticks can be downloaded from
ftp://alpha.gnu.org/gnu/guix/gnu-usb-install-0.7.system.xz, where system is one of:

x86_64-linux
    for a GNU/Linux system on Intel/AMD-compatible 64-bit CPUs;
i686-linux
    for a 32-bit GNU/Linux system on Intel-compatible CPUs.
-------------------------------------------------------------------------------

However, after I constructed the following URL, I got a "file not found" error:
ftp://alpha.gnu.org/gnu/guix/gnu-usb-install-0.7.x86_64-linux.xz

It turns out the filenames lack the -linux suffix as mentioned in the
manual.  davexunit on IRC mentioned that the manual is probably good, so
the files on FTP should be changed by someone with the required access.

Cheers,
Peter
-- 
http://www.more-magic.net